%define name pino
%define version 0.2.10
%define release %mkrel 1

Summary:   Twitter client
Summary(de): Twitter Client
Name:      %{name}
Version:   %{version}
Release:   %{release}
Group:     Networking/WWW
License:   GPLv2
URL:       http://pino-app.appspot.com/
Source0:   http://code.google.com/p/pino-twitter/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils 
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: libgee-devel
BuildRequires: gtkspell-devel
BuildRequires: gtk2-devel
BuildRequires: libwebkitgtk1.0-devel
BuildRequires: libxml2-devel
BuildRequires: libsoup-devel
BuildRequires: libnotify1-devel
BuildRequires: libvala-devel >= 0.8.0
Obsoletes:  %name < %version



%description
Pino is Twitter client for Linux desktop. It created to be simple and fast.
It written on Vala language and compiles to the native binary code.

#german
%description -l de
Pino ist ein Twitter Client für den Linux Desktop. Er ist erstellt worden für einfache 
und schnelle Handhabung. Geschrieben in der Vala Sprache, kompiliert es ein nativen 
Binär Code.

%prep
%setup -q 


%build
./waf configure --prefix=/usr 
./waf build
%install
rm -rf %{buildroot}
#remove 
rm -rf img/ubuntu*
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 _build_/default/src/%{name} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af templates $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
install -m 644 img/* $RPM_BUILD_ROOT%{_datadir}/%{name}/icons

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 755 *.desktop $RPM_BUILD_ROOT%{_datadir}/applications

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/actions
install -m 644 img/*.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/actions

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/actions
install -m 644 img/*.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/actions

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/animations
install -m 644 img/*.gif $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/animations

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
mv $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/actions/%{name}.svg \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

mv $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/actions/%{name}_fresh.svg \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}_fresh.svg

desktop-file-install --vendor=""\
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icon fix
mkdir -p  $RPM_BUILD_ROOT%_datadir/pixmaps
install -m 644 img/%{name}.svg $RPM_BUILD_ROOT%_datadir/pixmaps/%{name}.png


%find_lang %{name} 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png

%changelog
* Wed May 26 2010 slick50 <lxgator@gmail.com> 0.2.10-1pclos2010
- 0.2.10

* Sat May 15 2010 slick50 <lxgator@gmail.com> 0.2.9-1pclos2010
- 0.2.9

* Sat May 08 2010 slick50 <lxgator@gmail.com> 0.2.8-1pclos2010
- 0.2.8

* Fri Apr 30 2010 slick50 <lxgator@gmail.com> 0.2.7-1pclos2010
- 0.2.7

* Mon Apr 12 2010 slick50 <lxgator@gmail.com> 0.2.5-1pclos2010
- 0.2.5

* Sat Mar 27 2010 slick50 <lxgator@gmail.com> 0.2.4-1pclos2010
- 0.2.4

* Sun Mar 07 2010 slick50 <lxgator@gmail.com> 0.2.1-1pclos2010
- 0.2.1

* Sun Feb 21 2010 slick50 <lxgator@gmail.com> 0.2.0-1pclos2010
- 0.2.0

* Thu Feb 11 2010 slick50 <lxgator@gmail.com> 0.1.5-1pclos2010
- 0.1.5

* Tue Feb 02 2010 slick50 <lxgator@gmail.com> 0.1.4-1pclos2010
- 0.1.4

* Wed Jan 13 2010 slick50 <lxgator@gmail.com> 0.1.3-1pclos2010
- 0.1.3

* Sun Jan 10 2010 slick50 <lxgator@gmail.com> 0.1.2-1pclos2010
- 0.1.2

* Sun Jan 03 2010 slick50 <lxgator@gmail.com> 0.1.1-1pclos2010
- 0.1.1

* Sat Dec 28 2009 slick50 <lxgator@gmail.com> 0.1.0stable-1pclos2010
- 0.1.0stable

* Sat Dec 26 2009 slick50 <lxgator@gmail.com> 0.1.0rc3-1pclos2010
- 0.1.0rc3

* Sat Dec 22 2009 slick50 <lxgator@gmail.com> 0.1.0rc2-1pclos2010
- 0.1.0rc2

* Sat Dec 19 2009 slick50 <lxgator@gmail.com> 0.1.0rc1-1pclos2010
- 0.1.0rc1

* Thu Dec 17 2009 slick50 <lxgator@gmail.com> 0.1.0b4-1pclos2010
- 0.1.0b4

* Wed Dec 16 2009 slick50 <lxgator@gmail.com> 0.1.0b3-1pclos2010
- 0.1.0b3

* Sun Dec 13 2009 slick50 <lxgator@gmail.com> 0.1.0b2-1pclos2010
- 0.1.0b2

* Sat Dec 12 2009 slick50 <lxgator@gmail.com> 0.1.0b-1pclos2010
- initial pkg
